mitm(1)

NAME
mitm - network stream trace facility

SYNOPSIS
mitm [-p listenport] [-f outfile]

DESCRIPTION
mitm is a proxy server that traces the data passing through it. It supports the Sun passthru protocol, where the client writes the desired host name and port, separated by a space and terminated by a carriage return and line feed, at the beginning of the session.

Network data is written in hexadecimal to the specified file.

The name is derived from its position in the network stream: the man in the middle.

OPTIONS

-p listenport
    Specifies the port to listen on. The default port is 4200.

-f outfile
    Specifies the trace file to create. The default is /tmp/mitm.pid.

EXAMPLE
The emulator command-line option to route connection through mitm is:

    -proxy passthru:127.0.0.1:4200

SEE ALSO
s3270(1), x3270(1), c3270(1)

COPYRIGHTS
Copyright 2018-2024, Paul Mattes.
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

*   Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

*   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

*   Neither the name of Paul Mattes nor the names of his contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY PAUL MATTES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL PAUL MATTES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

VERSION
mitm 4.3ga8